scholarly journals COMPUTING SIGNED PERMUTATIONS OF POLYGONS

2011 ◽  
Vol 21 (01) ◽  
pp. 87-100
Author(s):  
GREG ALOUPIS ◽  
PROSENJIT BOSE ◽  
ERIK D. DEMAINE ◽  
STEFAN LANGERMAN ◽  
HENK MEIJER ◽  
...  

Given a planar polygon (or chain) with a list of edges {e1, e2, e3, …, en-1, en}, we examine the effect of several operations that permute this edge list, resulting in the formation of a new polygon. The main operations that we consider are: reversals which involve inverting the order of a sublist, transpositions which involve interchanging subchains (sublists), and edge-swaps which are a special case and involve interchanging two consecutive edges. When each edge of the given polygon has also been assigned a direction we say that the polygon is signed. In this case any edge involved in a reversal changes direction. We show that a star-shaped polygon can be convexified using O(n2) edge-swaps, while maintaining simplicity, and that this is tight in the worst case. We show that determining whether a signed polygon P can be transformed to one that has rotational or mirror symmetry with P, using transpositions, takes Θ(n log n) time. We prove that the problem of deciding whether transpositions can modify a polygon to fit inside a rectangle is weakly NP-complete. Finally we give an O(n log n) time algorithm to compute the maximum endpoint distance for an oriented chain.

2020 ◽  
Vol 34 (09) ◽  
pp. 13700-13703
Author(s):  
Nikhil Vyas ◽  
Ryan Williams

All known SAT-solving paradigms (backtracking, local search, and the polynomial method) only yield a 2n(1−1/O(k)) time algorithm for solving k-SAT in the worst case, where the big-O constant is independent of k. For this reason, it has been hypothesized that k-SAT cannot be solved in worst-case 2n(1−f(k)/k) time, for any unbounded ƒ : ℕ → ℕ. This hypothesis has been called the “Super-Strong Exponential Time Hypothesis” (Super Strong ETH), modeled after the ETH and the Strong ETH. We prove two results concerning the Super-Strong ETH:1. It has also been hypothesized that k-SAT is hard to solve for randomly chosen instances near the “critical threshold”, where the clause-to-variable ratio is 2k ln 2 −Θ(1). We give a randomized algorithm which refutes the Super-Strong ETH for the case of random k-SAT and planted k-SAT for any clause-to-variable ratio. In particular, given any random k-SAT instance F with n variables and m clauses, our algorithm decides satisfiability for F in 2n(1−Ω( log k)/k) time, with high probability (over the choice of the formula and the randomness of the algorithm). It turns out that a well-known algorithm from the literature on SAT algorithms does the job: the PPZ algorithm of Paturi, Pudlak, and Zane (1998).2. The Unique k-SAT problem is the special case where there is at most one satisfying assignment. It is natural to hypothesize that the worst-case (exponential-time) complexity of Unique k-SAT is substantially less than that of k-SAT. Improving prior reductions, we show the time complexities of Unique k-SAT and k-SAT are very tightly related: if Unique k-SAT is in 2n(1−f(k)/k) time for an unbounded f, then k-SAT is in 2n(1−f(k)(1−ɛ)/k) time for every ɛ > 0. Thus, refuting Super Strong ETH in the unique solution case would refute Super Strong ETH in general.


1992 ◽  
Vol 02 (04) ◽  
pp. 383-416 ◽  
Author(s):  
GORDON WILFONG

Suppose E is a set of labeled points (examples) in some metric space. A subset C of E is said to be a consistent subset ofE if it has the property that for any example e∈E, the label of the closest example in C to e is the same as the label of e. We consider the problem of computing a minimum cardinality consistent subset. Consistent subsets have applications in pattern classification schemes that are based on the nearest neighbor rule. The idea is to replace the training set of examples with as small a consistent subset as possible so as to improve the efficiency of the system while not significantly affecting its accuracy. The problem of finding a minimum size consistent subset of a set of examples is shown to be NP-complete. A special case is described and is shown to be equivalent to an optimal disc cover problem. A polynomial time algorithm for this optimal disc cover problem is then given.


2021 ◽  
Vol 70 ◽  
pp. 473-495
Author(s):  
Nikhil Vyas ◽  
Ryan Williams

Multiple known algorithmic paradigms (backtracking, local search and the polynomial method) only yield a 2n(1-1/O(k)) time algorithm for k-SAT in the worst case. For this reason, it has been hypothesized that the worst-case k-SAT problem cannot be solved in 2n(1-f(k)/k) time for any unbounded function f. This hypothesis has been called the "Super-Strong ETH", modelled after the ETH and the Strong ETH. It has also been hypothesized that k-SAT is hard to solve for randomly chosen instances near the "critical threshold", where the clause-to-variable ratio is such that randomly chosen instances are satisfiable with probability 1/2. We give a randomized algorithm which refutes the Super-Strong ETH for the case of random k-SAT and planted k-SAT for any clause-to-variable ratio. For example, given any random k-SAT instance F with n variables and m clauses, our algorithm decides satisfiability for F in  2n(1-c*log(k)/k) time with high probability (over the choice of the formula and the randomness of the algorithm). It turns out that a well-known algorithm from the literature on SAT algorithms does the job: the PPZ algorithm of Paturi, Pudlak, and Zane (1999).   The Unique k-SAT problem is the special case where there is at most one satisfying assignment. Improving prior reductions, we show that the Super-Strong ETHs for Unique k-SAT and k-SAT are equivalent. More precisely, we show the time complexities of Unique k-SAT and k-SAT are very tightly correlated: if Unique k-SAT is in  2n(1-f(k)/k) time for an unbounded f, then k-SAT is in 2n(1-f(k)/(2k)) time.


2021 ◽  
Vol 14 (1) ◽  
pp. 8
Author(s):  
Yijie Han ◽  
Chen Sun

In the ridesharing problem different people share private vehicles because they have similar itineraries. The objective of solving the ridesharing problem is to minimize the number of drivers needed to carry all load to the destination. The general case of ridesharing problem is NP-complete. For the special case where the network is a chain and the destination is the leftmost vertex of the chain, we present an O(nlogn/logw) time algorithm for the ridesharing problem, where w is the word length used in the algorithm and is at least logn. Previous achieved algorithm for this case requires O(nlogn) time.


2011 ◽  
Vol 2011 ◽  
pp. 1-10
Author(s):  
Akul Rana ◽  
Anita Pal ◽  
Madhumangal Pal

Let G=(V,E) be a simple connected undirected graph. Each vertex v∈V has a cost c(v) and provides a positive coverage radius R(v). A distance duv is associated with each edge {u,v}∈E, and d(u,v) is the shortest distance between every pair of vertices u,v∈V. A vertex v can cover all vertices that lie within the distance R(v), except the vertex itself. The conditional covering problem is to minimize the sum of the costs required to cover all the vertices in G. This problem is NP-complete for general graphs, even it remains NP-complete for chordal graphs. In this paper, an O(n2) time algorithm to solve a special case of the problem in a trapezoid graph is proposed, where n is the number of vertices of the graph. In this special case, duv=1 for every edge {u,v}∈E, c(v)=c for every v∈V(G), and R(v)=R, an integer >1, for every v∈V(G). A new data structure on trapezoid graphs is used to solve the problem.


Author(s):  
Khalid K. Ali ◽  
Mohamed A. Abd El salam ◽  
Emad M. H. Mohamed

AbstractIn this paper, a numerical technique for a general form of nonlinear fractional-order differential equations with a linear functional argument using Chebyshev series is presented. The proposed equation with its linear functional argument represents a general form of delay and advanced nonlinear fractional-order differential equations. The spectral collocation method is extended to study this problem as a discretization scheme, where the fractional derivatives are defined in the Caputo sense. The collocation method transforms the given equation and conditions to algebraic nonlinear systems of equations with unknown Chebyshev coefficients. Additionally, we present a general form of the operational matrix for derivatives. A general form of the operational matrix to derivatives includes the fractional-order derivatives and the operational matrix of an ordinary derivative as a special case. To the best of our knowledge, there is no other work discussed this point. Numerical examples are given, and the obtained results show that the proposed method is very effective and convenient.


Mathematics ◽  
2021 ◽  
Vol 9 (3) ◽  
pp. 293
Author(s):  
Xinyue Liu ◽  
Huiqin Jiang ◽  
Pu Wu ◽  
Zehui Shao

For a simple graph G=(V,E) with no isolated vertices, a total Roman {3}-dominating function(TR3DF) on G is a function f:V(G)→{0,1,2,3} having the property that (i) ∑w∈N(v)f(w)≥3 if f(v)=0; (ii) ∑w∈N(v)f(w)≥2 if f(v)=1; and (iii) every vertex v with f(v)≠0 has a neighbor u with f(u)≠0 for every vertex v∈V(G). The weight of a TR3DF f is the sum f(V)=∑v∈V(G)f(v) and the minimum weight of a total Roman {3}-dominating function on G is called the total Roman {3}-domination number denoted by γt{R3}(G). In this paper, we show that the total Roman {3}-domination problem is NP-complete for planar graphs and chordal bipartite graphs. Finally, we present a linear-time algorithm to compute the value of γt{R3} for trees.


2012 ◽  
Vol 23 (01) ◽  
pp. 21-35
Author(s):  
JANUSZ BRZOZOWSKI ◽  
BAIYU LI ◽  
YULI YE

Transient algebra is a multi-valued algebra for hazard detection in gate circuits. Sequences of alternating 0's and 1's, called transients, represent signal values, and gates are modeled by extensions of boolean functions to transients. Formulas for computing the output transient of a gate from the input transients are known for NOT, AND, OR and XOR gates and their complements, but, in general, even the problem of deciding whether the length of the output transient exceeds a given bound is NP-complete. We propose a method of evaluating extensions of general boolean functions. We study a class of functions for which, instead of evaluating the extensions on a given set of transients, it is possible to get the same values by using transients derived from the given ones, but having length at most 3. We prove that all functions of three variables, as well as certain other functions, have this property, and can be efficiently evaluated.


2014 ◽  
Vol 2014 ◽  
pp. 1-11 ◽  
Author(s):  
Xinru Liu ◽  
Yuanpeng Zhu ◽  
Shengjun Liu

A biquartic rational interpolation spline surface over rectangular domain is constructed in this paper, which includes the classical bicubic Coons surface as a special case. Sufficient conditions for generating shape preserving interpolation splines for positive or monotonic surface data are deduced. The given numeric experiments show our method can deal with surface construction from positive or monotonic data effectively.


Author(s):  
Mohsen Alambardar Meybodi

A set [Formula: see text] of a graph [Formula: see text] is called an efficient dominating set of [Formula: see text] if every vertex [Formula: see text] has exactly one neighbor in [Formula: see text], in other words, the vertex set [Formula: see text] is partitioned to some circles with radius one such that the vertices in [Formula: see text] are the centers of partitions. A generalization of this concept, introduced by Chellali et al. [k-Efficient partitions of graphs, Commun. Comb. Optim. 4 (2019) 109–122], is called [Formula: see text]-efficient dominating set that briefly partitions the vertices of graph with different radiuses. It leads to a partition set [Formula: see text] such that each [Formula: see text] consists a center vertex [Formula: see text] and all the vertices in distance [Formula: see text], where [Formula: see text]. In other words, there exist the dominators with various dominating powers. The problem of finding minimum set [Formula: see text] is called the minimum [Formula: see text]-efficient domination problem. Given a positive integer [Formula: see text] and a graph [Formula: see text], the [Formula: see text]-efficient Domination Decision problem is to decide whether [Formula: see text] has a [Formula: see text]-efficient dominating set of cardinality at most [Formula: see text]. The [Formula: see text]-efficient Domination Decision problem is known to be NP-complete even for bipartite graphs [M. Chellali, T. W. Haynes and S. Hedetniemi, k-Efficient partitions of graphs, Commun. Comb. Optim. 4 (2019) 109–122]. Clearly, every graph has a [Formula: see text]-efficient dominating set but it is not correct for efficient dominating set. In this paper, we study the following: [Formula: see text]-efficient domination problem set is NP-complete even in chordal graphs. A polynomial-time algorithm for [Formula: see text]-efficient domination in trees. [Formula: see text]-efficient domination on sparse graphs from the parametrized complexity perspective. In particular, we show that it is [Formula: see text]-hard on d-degenerate graphs while the original dominating set has Fixed Parameter Tractable (FPT) algorithm on d-degenerate graphs. [Formula: see text]-efficient domination on nowhere-dense graphs is FPT.


Sign in / Sign up

Export Citation Format

Share Document